Qt Cryptographic Architecture: QCA::RSAPrivateKey Class Reference

# QCA::RSAPrivateKey Class Reference
[QCA user API]

RSA Private Key. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::RSAPrivateKey:

Collaboration diagram for QCA::RSAPrivateKey:

[legend]

List of all members.

## Public Member Functions
BigInteger | d () const
BigInteger | e () const
BigInteger | n () const
BigInteger | p () const
BigInteger | q () const
| RSAPrivateKey (const BigInteger &n, const BigInteger &e, const BigInteger &p, const BigInteger &q, const BigInteger &d, const QString &provider=QString())
| RSAPrivateKey ()

## Detailed Description

RSA Private Key.

## Constructor & Destructor Documentation

QCA::RSAPrivateKey::RSAPrivateKey | ( |  | ) |

Generate an empty RSA private key.

QCA::RSAPrivateKey::RSAPrivateKey | ( | const BigInteger & | n,
|  | const BigInteger & | e,
|  | const BigInteger & | p,
|  | const BigInteger & | q,
|  | const BigInteger & | d,
|  | const QString & | provider = `QString()` |
| ) |  |  |

Generate an RSA private key from specified parameters.

Parameters:

  | n | the public key value
  | e | the public key exponent
  | p | one of the two chosen primes
  | q | the other of the two chosen primes
  | d | inverse of the exponent, modulo (p-1)(q-1)
  | provider | the provider to use, if a particular provider is required

## Member Function Documentation

BigInteger QCA::RSAPrivateKey::d | ( |  | ) | const

The inverse of the exponent, module (p-1)(q-1).

BigInteger QCA::RSAPrivateKey::e | ( |  | ) | const

The public key exponent.

This value is the exponent chosen in the original key generator step

BigInteger QCA::RSAPrivateKey::n | ( |  | ) | const

The public key value.

This value is the actual public key value (the product of p and q, the random prime numbers used to generate the RSA key), also known as the public modulus.

BigInteger QCA::RSAPrivateKey::p | ( |  | ) | const

One of the two random primes used to generate the private key.

BigInteger QCA::RSAPrivateKey::q | ( |  | ) | const

The second of the two random primes used to generate the private key.

The documentation for this class was generated from the following file:

- qca_publickey.h